### Function

# Dex output_stream_writev_all

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_output_stream_writev_all (
      GOutputStream* stream,
      const GOutputVector* vectors,
      gsize n_vectors,
      int io_priority
    )

#### Description [src]

Writes all bytes in `vectors` to `stream`.

This function copies the `vectors` array before starting the operation, but the buffers referenced by the vectors must remain valid until the returned future completes.

Wraps `g_output_stream_writev_all_async()`.

Available since: 1.2

#### Parameters

`stream`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the function.

`vectors`

  Type: An array of `GOutputVector`

  Vectors to write to `stream`.

  The length of the array is specified in the `n_vectors` argument.
  The data is owned by the caller of the function.

`n_vectors`

  Type: `gsize`

  The number of vectors to write.

`io_priority`

  Type: `int`

  The IO priority of the request.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `guint64` containing the number of bytes written, or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.